Package org.silverpeas.components.datawarning.model

## Class DataWarningScheduler

- java.lang.Object
- - org.silverpeas.core.persistence.jdbc.bean.SilverpeasBean
  - - org.silverpeas.components.datawarning.model.DataWarningScheduler

- All Implemented Interfaces:
    `Serializable`, `org.silverpeas.core.persistence.jdbc.bean.SilverpeasEntityBean`

      public class DataWarningScheduler
      extends org.silverpeas.core.persistence.jdbc.bean.SilverpeasBean

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `SCHEDULER_N_TIMES_MOMENT_DAY` |
    `static int` | `SCHEDULER_N_TIMES_MOMENT_HOUR` |
    `static int` | `SCHEDULER_N_TIMES_MOMENT_MONTH` |
    `static int` | `SCHEDULER_N_TIMES_MOMENT_WEEK` |
    `static int` | `SCHEDULER_N_TIMES_MOMENT_YEAR` |
    `static int` | `SCHEDULER_STATE_OFF` |
    `static int` | `SCHEDULER_STATE_ON` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DataWarningScheduler()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `DataWarningScheduler` | `copy()` |
    `String` | `createCronString()` |
    `int` | `getDayOfMonth()` |
    `int` | `getDayOfWeek()` |
    `int` | `getHours()` |
    `String` | `getInstanceId()` |
    `int` | `getMinits()` |
    `int` | `getNumberOfTimes()` |
    `int` | `getNumberOfTimesMoment()` |
    `int` | `getSchedulerState()` |
    `protected String` | `getTableName()` |
    `int` | `getTheMonth()` |
    `long` | `getWakeUp()` |
    `void` | `setDayOfMonth​(int dayOfMonth)` |
    `void` | `setDayOfWeek​(int dayOfWeek)` |
    `void` | `setHours​(int hours)` |
    `void` | `setInstanceId​(String instanceId)` |
    `void` | `setMinits​(int minits)` |
    `void` | `setNumberOfTimes​(int numberOfTimes)` |
    `void` | `setNumberOfTimesMoment​(int numberOfTimesMoment)` |
    `void` | `setSchedulerState​(int schedulerState)` |
    `void` | `setTheMonth​(int month)` |
    `void` | `setWakeUp​(long wakeUp)` |

    - ### Methods inherited from class org.silverpeas.core.persistence.jdbc.bean.SilverpeasBean

      `getNonNullString, getPK, setPK`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SCHEDULER_N_TIMES_MOMENT_HOUR

          public static final int SCHEDULER_N_TIMES_MOMENT_HOUR

      See Also:
        Constant Field Values

    - #### SCHEDULER_N_TIMES_MOMENT_DAY

          public static final int SCHEDULER_N_TIMES_MOMENT_DAY

      See Also:
        Constant Field Values

    - #### SCHEDULER_N_TIMES_MOMENT_WEEK

          public static final int SCHEDULER_N_TIMES_MOMENT_WEEK

      See Also:
        Constant Field Values

    - #### SCHEDULER_N_TIMES_MOMENT_MONTH

          public static final int SCHEDULER_N_TIMES_MOMENT_MONTH

      See Also:
        Constant Field Values

    - #### SCHEDULER_N_TIMES_MOMENT_YEAR

          public static final int SCHEDULER_N_TIMES_MOMENT_YEAR

      See Also:
        Constant Field Values

    - #### SCHEDULER_STATE_OFF

          public static final int SCHEDULER_STATE_OFF

      See Also:
        Constant Field Values

    - #### SCHEDULER_STATE_ON

          public static final int SCHEDULER_STATE_ON

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### DataWarningScheduler

          public DataWarningScheduler()

  - ### Method Detail

    - #### copy

          public DataWarningScheduler copy()

    - #### getInstanceId

          public String getInstanceId()

    - #### setInstanceId

          public void setInstanceId​(String instanceId)

    - #### getWakeUp

          public long getWakeUp()

    - #### setWakeUp

          public void setWakeUp​(long wakeUp)

    - #### getNumberOfTimes

          public int getNumberOfTimes()

    - #### setNumberOfTimes

          public void setNumberOfTimes​(int numberOfTimes)

    - #### getNumberOfTimesMoment

          public int getNumberOfTimesMoment()

    - #### setNumberOfTimesMoment

          public void setNumberOfTimesMoment​(int numberOfTimesMoment)

    - #### getMinits

          public int getMinits()

    - #### setMinits

          public void setMinits​(int minits)

    - #### getHours

          public int getHours()

    - #### setHours

          public void setHours​(int hours)

    - #### getDayOfWeek

          public int getDayOfWeek()

    - #### setDayOfWeek

          public void setDayOfWeek​(int dayOfWeek)

    - #### getDayOfMonth

          public int getDayOfMonth()

    - #### setDayOfMonth

          public void setDayOfMonth​(int dayOfMonth)

    - #### getTheMonth

          public int getTheMonth()

    - #### setTheMonth

          public void setTheMonth​(int month)

    - #### getSchedulerState

          public int getSchedulerState()

    - #### setSchedulerState

          public void setSchedulerState​(int schedulerState)

    - #### getTableName

          @NonNull
          protected String getTableName()

      Specified by:
        `getTableName` in class `org.silverpeas.core.persistence.jdbc.bean.SilverpeasBean`

    - #### createCronString

          public String createCronString()